<div fxLayout="row" fxLayoutAlign="space-between center">
    <div>
      <h2 mat-dialog-title>{{this.title}}</h2>
    </div>
    <button mat-button mat-dialog-close>
      <mat-icon>close</mat-icon>
    </button>
</div>
<hr>
<mat-dialog-content>
  <div class="p-24 m-0" fusePerfectScrollbar>
       
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <div fxFlex="55">
                <div class="cc-box">
                    <div #ccBoxFlip class="cc-box--flip">
                        <div class="cc-box__front">
                            <div class="cc-box__logo">
                                <p>{{ccNumber.value | uppercase}}</p>
                            </div>
                            <div class="cc-box__element">
                                <label class="cc-form__label" for="cc-card-number-display"></label>
                                <input class="cc-form__input cc-form__input--transparent cc-form__input--embosed" id="cc-card-number-display"
                                        aria-label="Payment card number" disabled="disabled"
                                        [value]="creditCardForm.get('creditCardNumber').value">
                            </div>
                            <div class="cc-box__element">
                                <label class="cc-form__label" for="cc-holder-display">PRÓPRIETARIO DO CARTÃO</label>
                                <input class="cc-form__input cc-form__input--transparent cc-form__input--embosed" id="cc-holder-display"
                                        aria-label="Card holder" disabled="disabled" [value]="creditCardForm.get('creditCardHolderName').value | uppercase">
                            </div>
                            <div class="cc-box__element">
                                <label class="cc-form__label" for="cc-valid-date-display">VÁLIDO ATÉ</label>
                                <input class="cc-form__input cc-form__input--left-align cc-form__input--transparent cc-form__input--embosed"
                                        id="cc-valid-date-display" aria-label="Card holder" disabled="disabled"
                                        [value]="creditCardForm.get('creditCardExpMonth').value + '/' + creditCardForm.get('creditCardExpYear').value ">
                            </div>
                            <div class="cc-box__chip"></div>
                        </div>
                        <div class="cc-box__back">
                            <div class="cc-box__strip">&nbsp;</div>
                            <div class="cc-box__element">
                            <input class="cc-form__input cc-form__input--cursive cc-form__input--right-align" id="cc-ccv-display"
                                    aria-label="CCV" disabled="disabled"
                                    [value]="'CCV: ' + creditCardForm.get('creditCardSecurityCode').value" title="CCV">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
              
    <div fxFlex="45">
    <form [formGroup]="creditCardForm" novalidate>
           
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="data.type === 'DEBIT_CARD'">
            <mat-form-field fxFlex="100">
                <mat-select placeholder="Banco" formControlName="debitCardBank" (selectionChange)="selectedCreditCard($event)">
                    <mat-option *ngFor="let bank of listBank" [value]="bank">
                    {{ bank }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
                <input  matInput placeholder="Número do cartão"  formControlName="creditCardNumber"  [textMask]="{mask: cardMask}" required>
                <mat-error *ngIf="creditCardForm.get('creditCardNumber').hasError('required')">
                    Por favor, informe o número do cartão
                </mat-error>
            </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" >
                <mat-form-field fxFlex="100">
                    <mat-select #ccNumber placeholder="Bandeira" formControlName="creditCardBrand">
                        <mat-option *ngFor="let brand of listCard" [value]="brand">
                        {{ brand }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
                <input matInput placeholder="Nome impresso no Cartão" [value]="creditCardForm.get('creditCardHolderName').value | uppercase" formControlName="creditCardHolderName" required>
                <mat-error *ngIf="creditCardForm.get('creditCardHolderName').hasError('required')">
                    Por favor, informe o nome impresso no cartão
                </mat-error>
            </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            
            <mat-form-field fxFlex="30">
               
                <mat-select placeholder="Mês de expiração" formControlName="creditCardExpMonth">
                    <mat-option *ngFor="let month of months" [value]="month">
                    {{ month }}
                    </mat-option>
                </mat-select>
                <mat-error *ngIf="creditCardForm.get('creditCardExpMonth').hasError('required')">
                    Por favor, informe o mês de expiração do cartão
                </mat-error> 
            </mat-form-field>
            
            <mat-form-field fxFlex="30">
               
                <mat-select placeholder="Ano de expiração" formControlName="creditCardExpYear">
                    <mat-option *ngFor="let year of years" [value]="year">
                    {{ year }}
                    </mat-option>
                </mat-select>
                <mat-error *ngIf="creditCardForm.get('creditCardExpYear').hasError('required')">
                    Por favor, informe o ano de expiração do cartão
                </mat-error>
            </mat-form-field>
            
            <mat-form-field fxFlex="40">
                <input  matInput placeholder="Código de segurança" formControlName="creditCardSecurityCode"  [textMask]="{mask: ccsMask}" required>
                <mat-error *ngIf="creditCardForm.get('creditCardSecurityCode').hasError('required')"
                minlength="3" maxlength="4"  (focus)="ccBoxFlip.classList.add('hover')">
                Por favor, informe o código de segurança do cartão
                </mat-error>
            </mat-form-field>
        </div>
    </form>
</div>
</div>

  </div>
</mat-dialog-content>
<hr>
<mat-dialog-actions position="end">
    <button mat-button 
            mat-dialog-close>
            cancelar
    </button>

    <button mat-raised-button 
        [disabled]="creditCardForm.invalid" 
        color="primary"
        (click)="save()">
        Salvar
    </button>
</mat-dialog-actions>   

